Debian Bug report logs - #697608
ITP: python-argcomplete -- Bash completion for python argparse

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marco Nenciarini <mnencia@debian.org>

Date: Mon, 7 Jan 2013 15:03:04 UTC

Owned by: Marco Nenciarini <mnencia@debian.org>

Severity: wishlist

Fixed in version python-argcomplete/0.3.3-1

Done: Marco Nenciarini <mnencia@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#697608; Package wnpp. (Mon, 07 Jan 2013 15:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Nenciarini <mnencia@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 07 Jan 2013 15:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Nenciarini <mnencia@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-argcomplete -- Bash completion for python argparse
Date: Sun, 06 Jan 2013 00:13:32 +0100
Package: wnpp
Severity: wishlist
Owner: Marco Nenciarini <mnencia@debian.org>

* Package name    : python-argcomplete
  Version         : 0.3.2
  Upstream Author : Andrey Kislyuk <kislyuk@gmail.com>
* URL             : https://github.com/kislyuk/argcomplete
* License         : Apache Software License
  Programming Lang: Python
  Description     : Bash completion for python argparse
Argcomplete provides easy, extensible command line tab completion of
arguments for your Python script.
.
It makes two assumptions:
.
 * You're using bash as your shell
 * You're using argparse to manage your command line arguments/options
.
Argcomplete is particularly useful if your program has lots of options
or subparsers, and if your program can dynamically suggest completions
for your argument/option values (for example, if the user is browsing
resources over the network).



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 11 Jan 2013 16:24:04 GMT) Full text and rfc822 format available.

Reply sent to Marco Nenciarini <mnencia@debian.org>:
You have taken responsibility. (Wed, 20 Mar 2013 00:03:19 GMT) Full text and rfc822 format available.

Notification sent to Marco Nenciarini <mnencia@debian.org>:
Bug acknowledged by developer. (Wed, 20 Mar 2013 00:03:19 GMT) Full text and rfc822 format available.

Message #12 received at 697608-close@bugs.debian.org (full text, mbox):

From: Marco Nenciarini <mnencia@debian.org>
To: 697608-close@bugs.debian.org
Subject: Bug#697608: fixed in python-argcomplete 0.3.3-1
Date: Wed, 20 Mar 2013 00:00:09 +0000
Source: python-argcomplete
Source-Version: 0.3.3-1

We believe that the bug you reported is fixed in the latest version of
python-argcomplete, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697608@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco Nenciarini <mnencia@debian.org> (supplier of updated python-argcomplete package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 09 Jan 2013 17:33:31 +0100
Source: python-argcomplete
Binary: python-argcomplete
Architecture: source all
Version: 0.3.3-1
Distribution: unstable
Urgency: low
Maintainer: Marco Nenciarini <mnencia@debian.org>
Changed-By: Marco Nenciarini <mnencia@debian.org>
Description: 
 python-argcomplete - bash tab completion for argparse
Closes: 697608
Changes: 
 python-argcomplete (0.3.3-1) unstable; urgency=low
 .
   * Initial release (Closes: #697608)
Checksums-Sha1: 
 442ae1d3188033d8d13a1362b102db63178d748a 1306 python-argcomplete_0.3.3-1.dsc
 a4235390caa138abaeb8eb93d180fd77c1dd9a0b 13452 python-argcomplete_0.3.3.orig.tar.gz
 d392a5282c1d0adf83b5dbc1643b989b1cebde2a 3217 python-argcomplete_0.3.3-1.debian.tar.gz
 972fe300e3713ef874c98885a9e8c7b1fa2f11c9 16800 python-argcomplete_0.3.3-1_all.deb
Checksums-Sha256: 
 f9b62d465319b6a2af9b97124f078eba084e2d2c49e5da3bca597ce034270650 1306 python-argcomplete_0.3.3-1.dsc
 af18c809988efa47e47d607d61d6818527f012c336bff2cdff4c31d577c2220c 13452 python-argcomplete_0.3.3.orig.tar.gz
 3df18069f1c74efa70d83d1c684aff4a2b8ee230ab0da476fd761994a8698dad 3217 python-argcomplete_0.3.3-1.debian.tar.gz
 2e0c75c8b14e41c83eda9efd95b9e103b72a231f9376058f8c185360338bf229 16800 python-argcomplete_0.3.3-1_all.deb
Files: 
 42cb25ba80b235a8396fbcc78d7d4385 1306 python optional python-argcomplete_0.3.3-1.dsc
 251a5e9aa4717930008f272fa561aad7 13452 python optional python-argcomplete_0.3.3.orig.tar.gz
 ded76c6e16c94cf8492450c77e49608b 3217 python optional python-argcomplete_0.3.3-1.debian.tar.gz
 f4ba55cb0448e2ec3c34e959beea28b6 16800 python optional python-argcomplete_0.3.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDvY84ACgkQaGRzDfCV5eR7vwCfWF/r3uBe5WmmA8LX9+eumZ7Q
dhMAn3ujsCWyMNiRkC8xkQF4C3KsR/jc
=zl4V
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Apr 2013 07:25:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:16:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.